DIY 3.0 data-parallel out-of-core C++ library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Typedefs Groups Pages
Public Member Functions | List of all members
fmt::ArgFormatter< Char > Class Template Reference

`#include <diy/fmt/format.h>`

Inheritance diagram for fmt::ArgFormatter< Char >:

## Public Member Functions
| ArgFormatter (BasicFormatter< Char > &formatter, FormatSpec &spec, const Char *fmt)
Public Member Functions inherited from fmt::BasicArgFormatter< ArgFormatter< Char >, Char >
| BasicArgFormatter (BasicFormatter< Char, ArgFormatter< Char > > &formatter, FormatSpec &spec, const Char *fmt)
void | visit_custom (internal::Arg::CustomValue c)
Public Member Functions inherited from fmt::internal::ArgFormatterBase< ArgFormatter< Char >, Char >
| ArgFormatterBase (BasicWriter< Char > &w, FormatSpec &s)
void | visit_any_int (T value)
void | visit_any_double (T value)
void | visit_bool (bool value)
void | visit_char (int value)
void | visit_cstring (const char *value)
void | visit_string (Arg::StringValue< char > value)
void | visit_wstring (Arg::StringValue< Char > value)
void | visit_pointer (const void *value)
Public Member Functions inherited from fmt::ArgVisitor< ArgFormatter< Char >, void >
void | report_unhandled_arg ()
void | visit_unhandled_arg ()
void | visit_int (int value)
void | visit_long_long (LongLong value)
void | visit_uint (unsigned value)
void | visit_ulong_long (ULongLong value)
void | visit_bool (bool value)
void | visit_char (int value)
void | visit_any_int (T)
void | visit_double (double value)
void | visit_long_double (long double value)
void | visit_any_double (T)
void | visit_cstring (const char *)
void | visit_string (Arg::StringValue< char >)
void | visit_wstring (Arg::StringValue< wchar_t >)
void | visit_pointer (const void *)
void | visit_custom (Arg::CustomValue)
void | visit (const Arg &arg)

## Additional Inherited Members
Protected Member Functions inherited from fmt::internal::ArgFormatterBase< ArgFormatter< Char >, Char >
BasicWriter< Char > & | writer ()
FormatSpec & | spec ()
void | write (bool value)
void | write (const char *value)

## Detailed Description

### template<typename Char>
class fmt::ArgFormatter< Char >

The default argument formatter.

## Constructor & Destructor Documentation

template<typename Char >

fmt::ArgFormatter< Char >::ArgFormatter | ( | BasicFormatter< Char > & | formatter,
|  | FormatSpec & | spec,
|  | const Char * | fmt
| ) |  |
| inline

Constructs an argument formatter object.

The documentation for this class was generated from the following file:

- include/diy/fmt/format.h